echo off
rem 2.01.27.05 SU2 version
title PermFix
echo Adjusting permissions on folders for CallPilot, please wait ...

rem Create a file to answer Yes to a prompt from the cacls command
mkdir D:\temp >NUL 2>NUL
echo Y>D:\temp\yesfile.txt

rem to allow SSL downloading of certificate, we currently need to be able to execute cmd.exe
cacls %WINDIR%\System32\cmd.exe /E /G "Web Anonymous Users":R >NUL

rem to allow IIS logging, give anonymous users change access to IIS www log folder
cacls %WINDIR%\System32\LogFiles\W3SVC1 /T /E /P "Web Anonymous Users":C >NUL

rem now tighten up access to web folders

cacls "C:\Inetpub" /T /P Administrators:F <D:\TEMP\yesfile.txt >NUL 2>NUL
cacls "C:\Inetpub" /T /E /G System:F >NUL 2>NUL
cacls "C:\Inetpub" /T /E /G Everyone:R >NUL 2>NUL

cacls "D:\Inetpub" /T /P Administrators:F <D:\TEMP\yesfile.txt >NUL 2>NUL
cacls "D:\Inetpub" /T /E /G System:F >NUL 2>NUL
cacls "D:\Inetpub" /T /E /G Everyone:R >NUL 2>NUL


rem now relax restrictions as necessary for certain CallPilot features to work

cacls "D:\Inetpub\wwwroot\cpmgr\autoaddfiles" /T /E /P "Web Anonymous Users":C  >NUL 2>NUL
cacls "D:\Inetpub\wwwroot\cpmgr\Upload" /T /E /P "Web Anonymous Users":C >NUL 2>NUL 
cacls "D:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Web Anonymous Users":C >NUL 2>NUL
cacls "D:\Inetpub\wwwroot\cpmgr\preferences\options" /T /E /P "Web Anonymous Users":C >NUL 2>NUL 
cacls "D:\Nortel\Data" /T /E /P "Web Anonymous Users":C >NUL 2>NUL

cacls "C:\Inetpub\wwwroot\cpmgr\autoaddfiles" /T /E /P "Web Anonymous Users":C  >NUL 2>NUL
cacls "C:\Inetpub\wwwroot\cpmgr\Upload" /T /E /P "Web Anonymous Users":C >NUL 2>NUL 
cacls "C:\Inetpub\wwwroot\cpmgr\preferences\options" /T /E /P "Web Anonymous Users":C >NUL 2>NUL 

rem changing the permission to full for SSL to work
rem cacls "C:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Web Anonymous Users":C >NUL 2>NUL

rem changing the permission to full for SSL to work
rem cacls "C:\Nortel\Data" /T /E /P "Web Anonymous Users":C >NUL 2>NUL 


del D:\temp\yesfile.txt >NUL 2>NUL


rem  Relax the following directories to make SSL work  ( CR Q00739421)  samia01
rem =================================================================

cacls "C:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Everyone":F >NUL 2>NUL
cacls "C:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Web Anonymous Users":F >NUL 2>NUL

cacls "D:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Everyone":F >NUL 2>NUL
cacls "D:\Inetpub\wwwroot\cpmgr\SSL" /T /E /P "Web Anonymous Users":F >NUL 2>NUL


RMDIR /S /Q C:\Inetpub\wwwroot\cpmgr\SSL\Certificates >NUL 2>NUL
RMDIR /S /Q D:\Inetpub\wwwroot\cpmgr\SSL\Certificates >NUL 2>NUL
